Subject: Re: bug#23478: 25.0.93; Mouse region selection asymmetry

From: Stephen Berman <[email-masked]>
Date: Thu, 07 Jul 2016 20:26:06 +0200

On Thu, 07 Jul 2016 20:16:26 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Noam Postavsky <[email-masked]>
>> Date: Thu, 7 Jul 2016 13:02:38 -0400
>> Cc: Stephen Berman <[email-masked]>, [email-masked]
>> 
>> How about mouse-select-region-move-to-beginning.
>
> Fine with me.
>

Me too.

On Thu, 7 Jul 2016 13:02:38 -0400 Noam Postavsky <[email-masked]> wrote:

> I also suggest removing mention
> of scrolling from docstring, I don't think we need to re-explain how
> moving point interacts with scrolling here.
>
> (defcustom mouse-select-region-move-to-beginning nil
>   "Effect of selecting a region extending backward from double click.
>
> Nil means keep point at the position clicked (region end);
> non-nil means move point to region beginning."
>   :version "26.1"
>   :type '(choice (const :tag "Don't move point" nil)
>                  (const :tag "Move point to beginning of region" t)))
>

This is also more appropriate, thanks.

I'll push the changes to master as soon as I get a chance (hopefully
tomorrow).

Steve Berman